> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/list/listfind.md).

# ListFind

Return int position of value in delimited list, case sensitive or case-insenstive variations

## Method Signature

```
ListFind(list=[string], value=[string], delimiter=[string], includeEmptyFields=[boolean], multiCharacterDelimiter=[boolean])
```

### Arguments

| Argument                  | Type      | Required | Description                                                      | Default |
| ------------------------- | --------- | -------- | ---------------------------------------------------------------- | ------- |
| `list`                    | `string`  | `true`   | The list to be searched.                                         |         |
| `value`                   | `string`  | `true`   | The value to locate in the list or a function to filter the list |         |
| `delimiter`               | `string`  | `false`  | The list delimiter(s)                                            | `,`     |
| `includeEmptyFields`      | `boolean` | `false`  | Whether to include empty fields in the search                    | `false` |
| `multiCharacterDelimiter` | `boolean` | `false`  |                                                                  | `false` |

## Examples

### Basic Example

Find item in a list and return the index.

[Run Example](https://try.boxlang.io/?code=eJzLySwuccvMS%2FHLd04sTtVQUEosKMhJ1ckvSsxLT9VJSswDQiUdBSWIgJKCpjUXANhmEOQ%3D)

```java
listFindNoCase( "apple,orange,banana", "orange" );

```

Result: 2

### Different Delimiters

Find item in a pipe delimited list and return the index.

[Run Example](https://try.boxlang.io/?code=eJzLySwuccvMS%2FHLd04sTtVQUEosKMhJrckvSsxLT61JSswDQiUdBSWIAIhVo6Sgac0FAEQ%2FEpA%3D)

```java
listFindNoCase( "apple|orange|banana", "orange", "|" );

```

Result: 2

### Member Syntax

listFindNoCase as a member function

[Run Example](https://try.boxlang.io/?code=eJxLKyrNLClWsFVQSiwoyEmtyS9KzEtPrUlKzANCJWuu8qLMklT%2F0pKC0hINhTSwYr2czOISt8y8FL9858TiVA0FJf8gRz93VyUdBaUaJQVNBU1rLgBz2hz7)

```java
fruits = "apple|orange|banana";
writeOutput( fruits.listFindNoCase( "ORANGE", "|" ) );

```

Result: 2

### Additional Examples

[Run Example](https://try.boxlang.io/?code=eJxtjsEKgkAYhO%2F7FMOeFJY81E2CBVMIrE49gOkPLayurP9qj99q3eo6M8z3Ld4w3QKPgRNYM3Flhu7qimaiBPKsrJtJ2dASKaa1tSQVZH0vylIiRZojy1C%2BRmqZOrjtCXsRwwv1D%2FKowtCycQMWw09odGRNH6FeTOzrSMQxgnTT6w2jO5plLpbV6xT6McF3tvuxO8VldNEfD%2FFP5CDeDk9JFA%3D%3D)

```java
writeOutput( listFindNoCase( "I,love,boxlang,testFile", "BOXLANG" ) ); // Expected output 3
// Member Function with @ delimiter
strList = "I@am@boxlang@dev";
writeDump( strList.listFindNoCase( "Dev", "@" ) );
 // Expected output 4

```

## Related

* [GetToken](/boxlang-language/reference/built-in-functions/list/gettoken.md)
* [ListAppend](/boxlang-language/reference/built-in-functions/list/listappend.md)
* [ListAvg](/boxlang-language/reference/built-in-functions/list/listavg.md)
* [ListChangeDelims](/boxlang-language/reference/built-in-functions/list/listchangedelims.md)
* [ListCompact](/boxlang-language/reference/built-in-functions/list/listcompact.md)
* [ListContains](/boxlang-language/reference/built-in-functions/list/listcontains.md)
* [ListContainsNoCase](/boxlang-language/reference/built-in-functions/list/listcontainsnocase.md)
* [ListDeleteAt](/boxlang-language/reference/built-in-functions/list/listdeleteat.md)
* [ListEach](/boxlang-language/reference/built-in-functions/list/listeach.md)
* [ListEvery](/boxlang-language/reference/built-in-functions/list/listevery.md)
* [ListFilter](/boxlang-language/reference/built-in-functions/list/listfilter.md)
* [ListFindNoCase](/boxlang-language/reference/built-in-functions/list/listfindnocase.md)
* [ListFirst](/boxlang-language/reference/built-in-functions/list/listfirst.md)
* [ListGetAt](/boxlang-language/reference/built-in-functions/list/listgetat.md)
* [ListGetEndings](/boxlang-language/reference/built-in-functions/list/listgetendings.md)
* [ListIndexExists](/boxlang-language/reference/built-in-functions/list/listindexexists.md)
* [ListInsertAt](/boxlang-language/reference/built-in-functions/list/listinsertat.md)
* [ListItemTrim](/boxlang-language/reference/built-in-functions/list/listitemtrim.md)
* [ListLast](/boxlang-language/reference/built-in-functions/list/listlast.md)
* [ListLen](/boxlang-language/reference/built-in-functions/list/listlen.md)
* [ListMap](/boxlang-language/reference/built-in-functions/list/listmap.md)
* [ListNone](/boxlang-language/reference/built-in-functions/list/listnone.md)
* [ListPrepend](/boxlang-language/reference/built-in-functions/list/listprepend.md)
* [ListQualify](/boxlang-language/reference/built-in-functions/list/listqualify.md)
* [ListReduceRight](/boxlang-language/reference/built-in-functions/list/listreduceright.md)
* [ListRemoveDuplicates](/boxlang-language/reference/built-in-functions/list/listremoveduplicates.md)
* [ListRest](/boxlang-language/reference/built-in-functions/list/listrest.md)
* [ListSetAt](/boxlang-language/reference/built-in-functions/list/listsetat.md)
* [ListSome](/boxlang-language/reference/built-in-functions/list/listsome.md)
* [ListSort](/boxlang-language/reference/built-in-functions/list/listsort.md)
* [ListToArray](/boxlang-language/reference/built-in-functions/list/listtoarray.md)
* [ListTrim](/boxlang-language/reference/built-in-functions/list/listtrim.md)
* [ListValueCount](/boxlang-language/reference/built-in-functions/list/listvaluecount.md)
* [ListValueCountNoCase](/boxlang-language/reference/built-in-functions/list/listvaluecountnocase.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/list/listfind.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
